This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 175424 - reboot hangs SATA drive
reboot hangs SATA drive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-09 20:17 EST by Kirk Smith
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirk Smith 2005-12-09 20:17:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
I have two systems running Fedora Core 4.  One has ATA drives and one has SATA drives.  On the system with SATA drives, a reboot results in a hang saying:

INIT: no more processes left in this runlevel

The other system is very close in configuration, but it has ATA drives and when asked to reboot (reboot command), it works fine.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. On a Gateway i386 computer with a SATA hard drive
2. su to root
3. type "reboot"
  

Actual Results:  The system hangs with:

INIT: no more processes left in this runlevel



Expected Results:  The system should have rebooted.

Additional info:

Under FC3, this was not a problem at all.  Everything worked as expected
Comment 1 Dave Jones 2005-12-10 01:05:12 EST
there are a few boot options you can try that may fix this.

reboot=w
reboot=c
reboot=b
reboot=h

Can you let me know if any of those work for you ?
Comment 2 Kirk Smith 2005-12-10 12:53:28 EST
I'm not sure how to set the boot options you describe.  I have used 
the "reboot" command from the shell, and I get the same results from 
using "shutdown -r now", or "halt", or the menu driven reboot option from 
gnome menu.  The manual pages for reboot(8) and shutdown(8) don't speak of how 
to set these options, and maybe I'm not describing the problem well enough.
Comment 3 Dave Jones 2005-12-12 18:19:57 EST
when you first power up, and you get the blue screen where you can choose which
kernel to boot, you can press 'e' to edit a line.
One you have changed the line beginning with 'kernel' to add one of the above
options to the end, press 'b' to boot the kernel.
Then try and reboot, so see if it worked.

If not, try again with a different option.
Comment 4 Kirk Smith 2005-12-14 14:17:26 EST
I tried the 4 reboot options that you suggested.  In each case, the results 
were unchanged.  The problem still existed. An attempt to reboot still results 
in: INIT: no more processes left in this runlevel.
Comment 5 Dave Jones 2006-02-03 00:08:03 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Kirk Smith 2006-02-04 11:21:54 EST
I installed kernel version 2.6.15-1.1830_FC4, and rebooted the system 
repeatedly normally, and with the reboot options w, c, b, & h.  This new 
kernel behaved exactly as the previous kernel.  That is, it still failed to 
reboot, ending with the message:

INIT: no more processes left in this runlevel

I also tried the non SMP version of the new kernel and it failed in the same 
manner.
Comment 7 Dave Jones 2006-09-16 21:00:38 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 8 Dave Jones 2006-10-16 13:21:51 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Jon Stanley 2008-01-19 23:36:40 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.